#map {
   width:100%;
   height:100%;
   overflow:hidden;
   font: 1.3em/1.4 BlinkMacSystemFont,-apple-system,"Segoe UI","Roboto","Oxygen","Ubuntu","Cantarell","Fira Sans","Droid Sans","Helvetica Neue","Helvetica","Arial",sans-serif;
    color: #111;
   font-weight: 350;
}
.ol-popup {
  position: absolute;
  background-color: white;
  -webkit-filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.2));
  filter: drop-shadow(0 1px 4px rgba(0, 0, 0, 0.2));
  padding: 15px;
  border-radius: 10px;
  border: 1px solid #cccccc;
  bottom: -20px;
  left: -50px;
  min-width: 40px;
  max-width: 120px;
}
.ol-popup-closer {
  text-decoration: none;
  position: absolute;
  top: 2px;
  right: 8px;
}

.ol-popup-closer:after {
  content: "✖";
}
.ol-geocoder ul.gcd-gl-result>li:nth-child(odd) {
   background-color: #ffffff;
}
.ol-geocoder ul.gcd-gl-result>li {
   border-bottom: 0px solid #eee;
   line-height: 15px;
   overflow: hidden;
   padding: 0;
   width: 288px;
   height: 36px;
}
.ol-geocoder ul.gcd-gl-result>li>a {
 border-bottom: 1px solid #eee;
 line-height: 15px;
 overflow: hidden;
 padding: 0;
 width: 288px;
 height: 36px;
}
.ol-geocoder ul.gcd-gl-result {
background-color: #fff;
border-radius: 4px;
border-top: none;
box-shadow: 0 1px 7px rgba(0,0,0,.8);
left: 40px;
list-style: none;
margin: 0;
max-height: 18.75em;
overflow-x: hidden;
overflow-y: auto;
padding: 10px 10px 10px 10px;
position: absolute;
top: 2.1875em;
transition: max-height .3s ease-in;
white-space: normal;
width: 310px;
}
.ol-geocoder .gcd-gl-expanded {
   width: 350px;
}
.ol-geocoder .gcd-gl-input {
width: 310px;
background: #fff;
border-radius: 5px;
height: 36px;
left: 40px;

}
.ol-control button {
   background-color: rgba(40, 40, 40, 0.8) !important;
}
.ol-control button:hover {
   background-color: rgba(40, 40, 40, 1) !important;
}
